#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 tree-diff
version:              0.3.0.1
visibility:           public
id:                   tree-diff-0.3.0.1-4i2qGYf0mG89V37Ja4BWzN
key:                  tree-diff-0.3.0.1-4i2qGYf0mG89V37Ja4BWzN
license:              GPL-2.0-or-later
copyright:            (c) 2017-2021 Oleg Grenrus
maintainer:           Oleg.Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
homepage:             https://github.com/phadej/tree-diff
synopsis:             Diffing of (expression) trees.
description:
    Common diff algorithm works on list structures:

    @
    diff :: Eq a => [a] -> [a] -> [Edit a]
    @

    This package works on trees.

    @
    treeDiff :: Eq a => Tree a -> Tree a -> Edit (EditTree a)
    @

    This package also provides a way to diff arbitrary ADTs,
    using @Generics@-derivable helpers.

    This package differs from <http://hackage.haskell.org/package/gdiff gdiff>,
    in a two ways: @tree-diff@ doesn'\''t have patch function,
    and the "edit-script" is a tree itself, which is useful for pretty-printing.

    @
    >>> prettyEditExpr $ ediff (Foo 42 [True, False] "old") (Foo 42 [False, False, True] "new")
    Foo
    \  {fooBool = [-True, +False, False, +True],
    \   fooInt = 42,
    \   fooString = -"old" +"new"}
    @

category:             Data, Testing
abi:                  1392b6fdeb3d45bec69ba83ed1c7bfd9
exposed:              True
exposed-modules:
    Data.TreeDiff Data.TreeDiff.Class Data.TreeDiff.Expr
    Data.TreeDiff.Golden Data.TreeDiff.List Data.TreeDiff.OMap
    Data.TreeDiff.Parser Data.TreeDiff.Pretty Data.TreeDiff.QuickCheck
    Data.TreeDiff.Tree

import-dirs:          /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/tree-diff-0.3.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-tree-diff
hs-libraries:         HStree-diff-0.3.0.1-4i2qGYf0mG89V37Ja4BWzN
depends:
    QuickCheck-2.14.3-4RnDMHKDhpPJEbozrkRwOm
    aeson-2.1.2.1-3rgGDwZqcHL8RNfGOD8e99
    ansi-terminal-1.0-4nG3Ezf0zRSL8RfVVMeUQ2
    ansi-wl-pprint-0.6.9-3Q1JhhboXaqL2NhFZqdxpi base-4.16.4.0
    base-compat-0.12.2-5hQPtIjgG5LKnb20qwjRWd bytestring-0.11.4.0
    containers-0.6.5.1 data-array-byte-0.1.0.1-3GdB6U3lWZEI2cJx8RfqhQ
    deepseq-1.4.6.1 hashable-1.4.4.0-EsPTAmPpYqX3hovcHlHOLX
    parsec-3.1.15.0 parsers-0.12.12-IOGnWTkfuRvKMOoWEbybqY
    pretty-1.1.3.6 primitive-0.7.4.0-6KmKRdtjMquLpK2leC8DMp
    scientific-0.3.7.0-1j3FKEOO1AWBjqM65TX7Sj
    semialign-1.3-6rGdWSNrdAP79YwJO1XVoA
    strict-0.5-I1QlvpN8R7x80TzoNfS6Q7
    tagged-0.8.9-KXBukbFHRBNBMyyfjfj7aP text-1.2.5.0
    these-1.2-JSDM0V4jeC67wQ6jFiVXg time-1.11.1.1
    unordered-containers-0.2.20-3olzmtJszxXc2LJr1lW5F
    uuid-types-1.0.6-J0DTbmmPJ4NExOxtFmVr8X
    vector-0.13.1.0-IOwb1qSGKSdHIyg7Qp7MNu

haddock-interfaces:   /usr/share/doc/haskell-tree-diff/html/tree-diff.haddock
haddock-html:         /usr/share/doc/haskell-tree-diff/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

